%define tarname narray
Summary: ruby-narray is a class of Numerical N-dimensional Array
Name: ruby-narray
Version: 0.5.7p1
Release: 2
License: Distributable
Group: Applications/Ruby
Source: http://www.ir.isas.ac.jp/~masa/ruby/dist/%{tarname}-%{version}.tar.gz
URL: http://www.ir.isas.ac.jp/~masa/ruby/index-e.html
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby

%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )

%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.4
%endif

%description
ruby-narray is a class of Numerical N-dimensional Array, whose elements are
1/2/4-byte Integer, single/double-prec Real/Complex, and Ruby Object.
This extension library incorporates fast calculation and easy manipulation of
large numerical arrays into the Ruby language. NArray has features similar to
NumPy, but NArray has vector and matrix subclasses.

%prep
%setup -n %{tarname}-%{version}

%build
ruby extconf.rb
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval archdir=$( ruby -r rbconfig -e 'p Config::CONFIG["archdir"]' )
make DESTDIR=$RPM_BUILD_ROOT RUBY=%{_bindir}/ruby hdrdir=$archdir install
find $RPM_BUILD_ROOT -type f -print | \
  ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ChangeLog README* SPEC*
%doc speed/ test/

%changelog
* Wed Mar 10 2004 Ian Macdonald <ian@caliban.org> 0.5.7p1-2
- Requires tag dependent on build version of Ruby

* Fri Feb  6 2004 Ian Macdonald <ian@caliban.org> 0.5.7p1-1
- 0.5.7p1

* Fri Oct 11 2002 Ian Macdonald <ian@caliban.org> 0.5.6p2-1
- 0.5.6p2
